linux: 2.6.38-13.52 -proposed tracker

Bug #887379 reported by Herton R. Krzesinski on 2011-11-08
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-13.52 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 08. November 2011 00:08 UTC
kernel-stable-Prepare-package-end:Thursday, 10. November 2011 14:38 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 10. November 2011 14:38 UTC
kernel-stable-Promote-to-proposed-end:Friday, 11. November 2011 08:30 UTC
kernel-stable-Verification-testing-start:Friday, 11. November 2011 08:31 UTC
kernel-stable-Verification-testing-end:Monday, 21. November 2011 12:30 UTC
kernel-stable-Certification-testing-start:Monday, 21. November 2011 12:30 UTC
kernel-stable-Security-signoff-start:Monday, 21. November 2011 12:30 UTC
kernel-stable-Regression-testing-start:Monday, 21. November 2011 12:30 UTC
kernel-stable-Security-signoff-end:Monday, 21. November 2011 21:30 UTC
kernel-stable-Regression-testing-end:Saturday, 26. November 2011 00:00 UTC
kernel-stable-Promote-to-updates-start:Saturday, 26. November 2011 10:15 UTC
kernel-stable-Certification-testing-end:Saturday, 26. November 2011 10:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 28. November 2011 06:45 UTC
kernel-stable-Promote-to-updates-end:Monday, 28. November 2011 06:45 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 888573

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 888575

description: updated
Martin Pitt (pitti) on 2011-11-11
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-11
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Natty):
status: New → Confirmed
Herton R. Krzesinski (herton) wrote :

Today we got the last remaining bug verified on natty. All SRU bugs are verified now, releasing for testing.

Brad Figg (brad-figg) on 2011-11-21
description: updated

The Hardware Certification team have begun testing this -proposed kernel.

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-21
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-11-26
description: updated

The Hardware Certification team tested 99/135 systems within the testing window. Of the systems that were tested, none displayed regressions. The report is located at: http://people.canonical.com/~hwcert/sru-testing/wk47_2011/natty-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2011-11-26
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.52

---------------
linux (2.6.38-13.52) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887379

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Upstream Kernel Changes ]

  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * proc: restrict access to /proc/PID/io, CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * proc: fix a race in do_io_accounting(), CVE-2011-2495
    - LP: #866025
    - CVE-2011-2495
  * staging: comedi: fix infoleak to userspace, CVE-2011-2909
    - LP: #869261
    - CVE-2011-2909
  * perf tools: do not look at ./config for configuration, CVE-2011-2905
    - LP: #869259
    - CVE-2011-2905
  * e1000e: workaround for packet drop on 82579 at 100Mbps
    - LP: #870127
  * eCryptfs: Remove unnecessary grow_file() function
    - LP: #745836
  * eCryptfs: Remove ECRYPTFS_NEW_FILE crypt stat flag
    - LP: #745836
  * block: blkdev_get() should access ->bd_disk only after success
    - LP: #857170
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * drm/i915: don't enable plane, pipe and PLL prematurely
    - LP: #812638
  * drm/i915: add pipe/plane enable/disable functions
    - LP: #812638
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 07 Nov 2011 22:11:51 -0200

Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers